Crystal Space: csRefCount Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csRefCount Class Reference

This is a class which provides basic reference-counting semantics. More...

`#include <csutil/refcount.h>`

Inheritance diagram for csRefCount:

[legend]
List of all members.

## Public Member Functions
| csRefCount ()
| Initialize object and set reference to 1.
void | DecRef ()
| Decrease the number of references to this object.
int | GetRefCount () const
| Get the reference count (only for debugging).
void | IncRef ()
| Increase the number of references to this object.
## Protected Member Functions
virtual void | Delete ()
virtual | ~csRefCount ()
## Protected Attributes
int | ref_count

## Detailed Description

This is a class which provides basic reference-counting semantics.

It can be used in conjunction with the smart pointer template class csRef (see <ref.h>). This class itself provides no functionality beyond reference counting. It is intended that you should subclass csRefCount and add needed functionality.

Definition at line 37 of file refcount.h.

## Constructor & Destructor Documentation

csRefCount::csRefCount | ( |  | ) | `[inline]`

Initialize object and set reference to 1.

Definition at line 58 of file refcount.h.

References csRefTrackerAccess::TrackConstruction().

## Member Function Documentation

void csRefCount::DecRef | ( |  | ) | `[inline]`

Decrease the number of references to this object.

Definition at line 70 of file refcount.h.

References Delete(), ref_count, and csRefTrackerAccess::TrackDecRef().

int csRefCount::GetRefCount | ( |  | ) | const`[inline]`

Get the reference count (only for debugging).

Definition at line 78 of file refcount.h.

References ref_count.

void csRefCount::IncRef | ( |  | ) | `[inline]`

Increase the number of references to this object.

Definition at line 64 of file refcount.h.

References ref_count, and csRefTrackerAccess::TrackIncRef().

The documentation for this class was generated from the following file:

- csutil/refcount.h